Annotations (Jackson: JAX-RS (parent) 2.14.0 API)

com.fasterxml.jackson.jaxrs.cfg

## Enum Annotations

- java.lang.Object
- - java.lang.Enum<Annotations>
  - - com.fasterxml.jackson.jaxrs.cfg.Annotations

- All Implemented Interfaces:
    Serializable, Comparable<Annotations>

      public enum Annotations
      extends Enum<Annotations>

  Enumeration that defines standard annotation sets available for configuring data binding aspects.
  Since:
    2.2 (earlier located in actual datatype-specific modules)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JACKSON` Standard Jackson annotations, defined in Jackson core and databind packages
    `JAXB` Standard JAXB annotations, used in a way that approximates expected definitions (since JAXB defines XML aspects, not all features map well to JSON handling)

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Annotations` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Annotations[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JACKSON

          public static final Annotations JACKSON

      Standard Jackson annotations, defined in Jackson core and databind packages

    - #### JAXB

          public static final Annotations JAXB

      Standard JAXB annotations, used in a way that approximates expected definitions (since JAXB defines XML aspects, not all features map well to JSON handling)

  - ### Method Detail

    - #### values

          public static Annotations[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Annotations c : Annotations.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Annotations valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2022 FasterXML. All rights reserved.